%define	name dpsftplib
%define	libname	dpsftp
%define	version	0.1.6
%define release 5mdk
%define major 4
%define	prefix	/usr

Summary:	Nice little FTP library not specific to any program
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://dpsftp.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
While working on DPS-FTP, a Gnome-based clone of Bulletproof FTP, I
had an idea that would simplify much of the FTP code, as well as provide
directory caching. So, I split the FTP stuff into a library, and almost
completely re-did the whole thing. The result is a nice little FTP
library not specific to any program.

%package -n lib%{libname}%{major}
Summary:	Nice little FTP library not specific to any program
Group:		Development/Other
Obsoletes:      dpsftplib

%description -n lib%{libname}%{major}
While working on DPS-FTP, a Gnome-based clone of Bulletproof FTP, I
had an idea that would simplify much of the FTP code, as well as provide
directory caching. So, I split the FTP stuff into a library, and almost
completely re-did the whole thing. The result is a nice little FTP
library not specific to any program.

%package	-n lib%{libname}%{major}-devel
Summary:	Development package for libdpsftp
Group:		Development/Other
Requires:	lib%{libname}%{major} = %{version}
Provides:       dpsftplib-devel libdpsftp-devel
Obsoletes:      dpsftplib-devel

%description	-n lib%{libname}%{major}-devel
Static libraries and header files for the dpsftplib.

%prep
%setup -q

%build
%configure --prefix=%{prefix} --sysconfdir=/etc
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
%make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
%makeinstall

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%postun -n lib%{libname}%{major} -p /sbin/ldconfig

%post -n lib%{libname}%{major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%config(noreplace) /etc/system.dpsftplibrc

%files -n lib%{libname}%{major}
%defattr(-,root,root)
%{prefix}/lib/libdpsftp*.so.*

%files -n lib%{libname}%{major}-devel
%defattr(-,root,root)
%{prefix}/bin/dpsftplib-config
%{prefix}/include/dpsftplib.h
%{prefix}/share/aclocal/dpsftplib.m4
%{prefix}/lib/libdpsftp*.so
%{prefix}/lib/libdpsftp*a

%changelog
* Sat Sep 15 2001 Warly <warly@mandrakesoft.com> 0.1.6-5mdk
- new distribution tag

* Wed Dec  6 2000 Warly <warly@mandrakesoft.com> 0.1.6-4mdk
- new lib policy

* Fri Nov 10 2000 Warly <warly@mandrakesoft.com> 0.1.6-3mdk
- build with gcc 2.96

* Tue Apr 04 2000 Warly <warly@mandrakesoft.com> 0.1.6-2mdk
- rebuild

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Tue Dec  7 1999 Ryan Weaver <ryanw@infohwy.com>
  [dpsftplib-0.6.0-2]
- Fixed some incorrectness in RPM header

* Mon Nov 29 1999 Ryan Weaver <ryanw@infohwy.com>
  [dpsftplib-0.1.6-1]
- Bug fixes.
- Now supports NOOP command to keep idle connections alive.
- configure.in now properly looks for glib and pthreads.
- Previously, commands were being sent that didn't need to be sent, like
  changing type to current type, or changing directory to current
  directory. This has been fixed.

* Wed Nov 24 1999 Ryan Weaver <ryanw@infohwy.com>
  [dpsftplib-0.1.5-1]
- ReWrote spec file to fix errors with running program.
- Submitted patch to author for dpsftplib.spec.in

